/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.sample.dao.obj;

import java.util.Date;

/**
 * @author Masako Okayasu
 */
public class XbRefAttributesObj {

	// REF タイプ
	private int ref_type;
	// REF ID
	private long ref_id;
	// 属性名
	private String name;
	// 属性値
	private String value;
	// 作成日
	private Date creation_date;

	/**
	 * @return creation_date
	 */
	public Date getCreation_date() {
		return creation_date;
	}
	/**
	 * @param creation_date 設定する creation_date
	 */
	public void setCreation_date(Date creation_date) {
		this.creation_date = creation_date;
	}
	/**
	 * @return name
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name 設定する name
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * @return ref_id
	 */
	public long getRef_id() {
		return ref_id;
	}
	/**
	 * @param ref_id 設定する ref_id
	 */
	public void setRef_id(long ref_id) {
		this.ref_id = ref_id;
	}
	/**
	 * @return ref_type
	 */
	public int getRef_type() {
		return ref_type;
	}
	/**
	 * @param ref_type 設定する ref_type
	 */
	public void setRef_type(int ref_type) {
		this.ref_type = ref_type;
	}
	/**
	 * @return value
	 */
	public String getValue() {
		return value;
	}
	/**
	 * @param value 設定する value
	 */
	public void setValue(String value) {
		this.value = value;
	}
}